%define url_ver %(echo %{version}|cut -d. -f1,2)

# To make GNOME Shell extensions load, we need to get rid of DT_RUNPATH on /usr/bin/gnome-shell
# (see glibc bug #13945, GNOME bug #670477, Mageia bug #4523)
%define _disable_ld_enable_new_dtags 1

Summary:	Next generation GNOME desktop shell
Name:		gnome-shell
Version:	3.16.3
Release:	1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
Url:		http://live.gnome.org/GnomeShell
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-shell/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gnome-shell-3.15.91-new-favorites.patch
#Patch9:		gnome-shell-3.8.4-focus-losing-after-suspend.patch

BuildRequires: intltool >= 0.40
BuildRequires: rootcerts
BuildRequires: polkit-1-devel
BuildRequires: pkgconfig(clutter-1.0)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(folks)
BuildRequires: pkgconfig(gcr-3)
BuildRequires: pkgconfig(gjs-1.0) >= 1.36
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(gnome-bluetooth-1.0)
BuildRequires: pkgconfig(gnome-desktop-3.0)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(libecal-1.2)
BuildRequires: pkgconfig(libedataserver-1.2)
BuildRequires: pkgconfig(libgnome-menu-3.0)
BuildRequires: pkgconfig(libmutter) >= %{version}
BuildRequires: pkgconfig(libnm-glib)
BuildRequires: pkgconfig(libnm-util)
BuildRequires: pkgconfig(libnm-gtk)
BuildRequires: pkgconfig(libnm-glib-vpn)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(telepathy-glib)
BuildRequires: pkgconfig(telepathy-logger-0.2)
BuildRequires: pkgconfig(caribou-1.0)
BuildRequires: pkgconfig(python3)
BuildRequires: xsltproc
BuildRequires: docbook-style-xsl
BuildRequires: chrpath

Requires: at-spi2-atk
Requires: gjs
Requires: glxinfo
Requires: gnome-session
Requires: gtk+3.0
Requires: json-glib
Requires: librsvg
Requires: mutter

# md until js & python typelib autoreqs works
Requires: typelib(AccountsService)
Requires: typelib(Caribou)
Requires: typelib(ClutterX11) 
Requires: typelib(DBusGLib)
Requires: typelib(Folks)
Requires: typelib(Gcr)
Requires: typelib(Gkbd)
Requires: typelib(GDesktopEnums)
Requires: typelib(Gee)
Requires: typelib(GMenu)
Requires: typelib(Meta)
Requires: typelib(NMClient)
Requires: typelib(NetworkManager)
Requires: typelib(Polkit)
Requires: typelib(Soup)
Requires: typelib(TelepathyGLib)
Requires: typelib(TelepathyLogger)
Requires: typelib(UPowerGlib)
Requires: typelib(Cogl)
Requires: typelib(GjsPrivate)
Requires: typelib(IBus)
Requires: typelib(Gdm)
Requires: typelib(GnomeBluetooth)
Requires: typelib(Gck)
Requires: typelib(GWeather)

Obsoletes: %{name}-docs
Obsoletes: gnome-applets

%description
The GNOME Shell redefines user interactions with the GNOME desktop. In
particular, it offers new paradigms for launching applications,
accessing documents, and organizing open windows in GNOME. Later, it
will introduce a new applets eco-system and offer new solutions for
other desktop features, such as notifications and contacts
management. The GNOME Shell is intended to replace functions handled
by the GNOME Panel and by the window manager in previous versions of
GNOME. The GNOME Shell has rich visual effects enabled by new
graphical technologies.


%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-compile-warnings=no

%make

%install
%makeinstall_std
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%files -f %{name}.lang
%doc README 
%{_bindir}/*
%{_libdir}/%{name}
%{_libdir}/mozilla/plugins/*.so
%{_libexecdir}/gnome-shell-calendar-server
%{_libexecdir}/gnome-shell-hotplug-sniffer
%{_libexecdir}/gnome-shell-perf-helper
%{_libexecdir}/gnome-shell-portal-helper
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/gnome-shell-extension-prefs.desktop
%{_datadir}/applications/gnome-shell-wayland.desktop
%{_datadir}/applications/org.gnome.Shell.PortalHelper.desktop
%{_datadir}/dbus-1/services/org.gnome.Shell.CalendarServer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.HotplugSniffer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.PortalHelper.service
%{_datadir}/dbus-1/interfaces/
%{_datadir}/GConf/gsettings/gnome-shell-overrides.convert
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.xml
%{_datadir}/%{name}
%{_datadir}/gtk-doc/*
%{_datadir}/applications/evolution-calendar.desktop
%{_mandir}/man1/%{name}.1*


%changelog

* Fri Jul 03 2015 Tigro <ashejn@yandex-team.ru> 3.16.3-1
- (ae8ce7e) update to 3.16.3

* Fri May 15 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (e54bf9d) drop patch
- (Tigro: 8e22046) update to 3.16.2

* Wed Apr 15 2015 Tigro <ashejn@gmail.com> 3.16.1-1
- (c70afdf) update to 3.16.1

* Tue Mar 24 2015 Tigro <ashejn@gmail.com> 3.16.0-1
- (3e5cb2b) update to 3.16.0

* Tue Mar 17 2015 Tigro <ashejn@gmail.com> 3.15.92-1
- (7088ad8) update to 3.15.92

* Sat Mar 14 2015 Tigro <ashejn@gmail.com> 3.15.91-2
- (fc2838b) added R: typelib(GWeather)

* Tue Mar 10 2015 Tigro <ashejn@yandex-team.ru> 3.15.91-1
- (5828103) pack files
- (Tigro: fdcc3ff) added BR: python3
- (Tigro: edff391) update to 3.15.91

* Wed Aug 13 2014 Tigro <ashejn@gmail.com> 3.12.2-4
- (66ea0ea) update firefox patch

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.2-3
- (f0880e9) MassBuild#440: Increase release tag

* Tue May 20 2014 Tigro <ashejn@gmail.com> 3.12.2-2
- (f4aa5f1) bump release

* Tue May 20 2014 Tigro <ashejn@gmail.com> 3.12.2-1
- (51d3569) added some requires
- (Tigro: 240179b) update to 3.12.2

* Tue May 13 2014 Tigro <arkady.shane@rosalab.ru> 3.12.1-2
- (312c01c) drop typelib(GnomeBluetoothApplet) depend

* Thu Apr 24 2014 Tigro <ashejn@gmail.com> 3.12.1-1
- (e0309dd) drop chpath call and some old fixes
- (Tigro: cd3a431) update version
- (Tigro: d6cb91b) drop walpaper patch
- (Tigro: 9718258) update to 3.12.1

* Mon Feb 17 2014 akdengi <kazancas@mandriva.ru> 3.8.4-14
- (8e60507) Fix touchscreen in classic mode

* Wed Feb 05 2014 Julia Pikareva <julia.pikareva@rosalab.ru> 3.8.4-13
- (fb98abd) Increment counter release.

* Wed Feb 05 2014 Julia Pikareva <julia.pikareva@rosalab.ru> 3.8.4-12
- (52cb3b9) Bugfix wallpaper change from Firefox.
- (Aleksey Yermakov: a8dd350) Updated & enabled tray_in_overlay patch.

* Sat Jan 11 2014 Tigro <ashejn@gmail.com> 3.8.4-11
- (205b08e) do not apply tray patch as it break gnome-shell menu

* Fri Jan 10 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 3.8.4-10
- (5869f3d) Added patch to prevent losing of focus after suspend

* Wed Dec 18 2013 Aleksey Yermakov <alexey.yermakov@rosalab.ru> 3.8.4-9
- (3974b23) Added patch to always show message tray in overlay.

* Tue Dec 10 2013 Tigro <ashejn@gmail.com> 3.8.4-8
- (55203a6) bump release

* Tue Dec 10 2013 Tigro <ashejn@gmail.com> 3.8.4-7
- (a6478ad) add some requires
- (Tigro: 4892a6f) drop obsolete depend


